CATMAN(8)

NAMA
catman - buat atau perbarui pre-formatted halaman buku panduan

RINGKASAN
catman [-d?hV] [-M jalur] [-C berkas] [bagian] ...

DESKRIPSI
catman digunakan untuk membuat sebuah set terbaru dari preformat halaman buku panduan dikenal sebagai halaman cat. Halaman cat secara umum lebih cepat untuk ditampilkan daripada halaman buku panduan asli, tetapi membutuhkan ruang penyimpanan ekstra. Keputusan untuk mendukung halaman cat berada di administrator lokal, yang harus memberikan direktori yang sesuai untuk itu. Pilihan tersedia ke catman adalah hierarki halaman buku panduan dan bagian untuk preformat. Hierarki baku yang dispesifikasikan sebagai hierarki sistem dalam berkas konfigurasi man-db, dan bagian baku baik isi dipisahkan kolon dari variabel lingkungan $MANSECT atau set standar disusun kedalam man jika $MANSECT tidak terdefinisi. Diberikan catman dengan sebuah set dari bagian nama dipisahkan spasi akan mengesampingkan kedua diatas. catman membuat penggunaan dari persediaan basis data indeks diasosiasikan dengan setiap hierarki untuk menentukan berkas mana dibutuhkan untuk diformat.

PILIHAN

-d, --debug
    Tampilkan informasi penelusuran.

-M jalur, --manpath=jalur
    Spesifikasikan sebuah jalur pencarian alternatif hierarki halaman buku panduan dipisahkan kolon. Secara baku, jalur semua ini mengindikasikan sebagai hierarki sistem dalam berkas konfigurasi man-db.

-C berkas, --config-file=berkas
    Gunakan berkas konfigurasi pengguna ini daripada ~/.manpath.

-?, --help
    Tampilkan sebuah pesan bantuan dan keluar.

--usage
    Tampilkan sebuah pesan bantuan dan keluar.

-V, --version
    Tampilkan informasi versi.

LINGKUNGAN

MANSECT
    Jika $MANSECT diset, nilainya adalah sebuah daftar dipisahkan oleh kolon dari bagian dan ini digunakan untuk menentukan bagian buku panduan mana untuk dicari dan dalam urutan apa.

MANPATH
    Jika $MANPATH telah diset, nilainya diinterpretasikan sebagai struktur jalur pencarian halaman buku panduan dipisahkan dengan kolon untuk digunakan.

BERKAS

/etc/man_db.conf
    berkas konfigurasi man-db.

/usr/man/index.(bt|db|dir|pag)
    Sebuah persediaan basis data indeks menyeluruh tradisional.

/var/catman/index.(bt|db|dir|pag)
    Sebuah persediaan basis data indeks menyeluruh alternatif atau sesuai dengan FSSTND.

LIHAT JUGA
man(1), manpath(5), mandb(8)

PENGARANG
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Colin Watson (cjwatson@debian.org).